ActionController::Routing::Routes.draw do |map|  
  # The priority is based upon order of creation: first created -> highest priority.
  
  # Sample of regular route:
  # map.connect 'products/:id', :controller => 'catalog', :action => 'view'
  # Keep in mind you can assign values other than :controller and :action

  # Sample of named route:
  # map.purchase 'products/:id/purchase', :controller => 'catalog', :action => 'purchase'
  # This route can be invoked with purchase_url(:id => product.id)

  # You can have the root of your site routed by hooking up '' 
  # -- just remember to delete public/index.html.
  map.connect '', :controller => "front"

  map.connect '/sitealizer/:action', :controller => 'sitealizer' 

  map.connect 'voter/:action',
              :controller => 'voter',
              :requirements => { :action => /(review|confirm|authenticate|index|login|reminder|results)/ }

  map.voteopen 'voter/open.:election_id',
                   :controller => 'voter',
                   :action => 'index'

  map.votepassword 'voter/:urlpassword',
                   :controller => 'voter',
                   :action => 'index'

  map.kiosk_ready 'voter/kiosk_ready/:urlpassword',
                  :controller => 'voter',
                  :action => 'kiosk_ready'

  map.connect 'quickvote/:action/:id',
               :controller => 'quickvote',
               :requirements => { :action => /(create|add_candidate|sort_candidates|my_quickvotes)/ }

  map.quickaction 'quickvote/:ident/:action',
                  :controller => 'quickvote',
	                :requirements => { :action => /(change|confirm|results)/ }

  map.quickvote 'quickvote/:ident',
                :controller => 'quickvote', :action => 'index'

  # Allow downloading Web Service WSDL as a file with an extension
  # instead of a file named 'wsdl'
  map.connect ':controller/service.wsdl', :action => 'wsdl'

  # The following pertain to caching and accessing Gruff graphs
  # To make caching easier, add a line like this to config/routes.rb:
  # map.graph "graph/:action/:id/image.png", :controller => "graph"
  #
  # Then reference it with the named route:
  #   image_tag graph_url(:action => 'show', :id => 42)
  map.graph "graph/:action/:id/graph.png", :controller => "graph"
  
  # Install the default route as the lowest priority.
  map.connect ':controller/:action/:id.:format'
  map.connect ':controller/:action/:id'
end
